Index: trunk/examples/extended/exoticphysics/monopole/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/DetectorConstruction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: DetectorConstruction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: DetectorConstruction.hh,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -46,51 +46,46 @@
 class DetectorConstruction : public G4VUserDetectorConstruction
 {
-  public:
+public:
   
-    DetectorConstruction();
-   ~DetectorConstruction();
+  DetectorConstruction();
+  ~DetectorConstruction();
 
-  public:
-       
-     void SetSizeX    (G4double);
-     void SetSizeYZ   (G4double);              
-     void SetMaterial (G4String);            
-     void SetMagField (G4double);
+  void SetSizeX    (G4double);
+  void SetSizeYZ   (G4double);              
+  void SetMaterial (G4String);            
+  void SetMagField (G4double);
      
-     void SetMaxStepSize   (G4double);
+  void SetMaxStepSize   (G4double);
      
-     G4VPhysicalVolume* Construct();
-     void               UpdateGeometry();
+  G4VPhysicalVolume* Construct();
+  void               UpdateGeometry();
      
-  public:  
-                    
-     G4double     GetWorldSizeX()    {return worldSizeX;};
-     G4double     GetWorldSizeYZ()   {return worldSizeYZ;};
-     G4Material*  GetWorldMaterial() {return worldMaterial;};     
-     G4double     GetAbsorSizeX()    {return absorSizeX;};
-     G4double     GetAbsorSizeYZ()   {return absorSizeYZ;};
-     G4double     GetMaxStepSize()   {return maxStepSize;};
-     G4Material*  GetAbsorMaterial() {return absorMaterial;};
-     
-     void         PrintParameters();
+  G4double     GetWorldSizeX()    {return worldSizeX;};
+  G4double     GetWorldSizeYZ()   {return worldSizeYZ;};
+  G4Material*  GetWorldMaterial() {return worldMaterial;};     
+  G4double     GetAbsorSizeX()    {return absorSizeX;};
+  G4double     GetAbsorSizeYZ()   {return absorSizeYZ;};
+  G4double     GetMaxStepSize()   {return maxStepSize;};
+  G4Material*  GetAbsorMaterial() {return absorMaterial;};
+  
+  void         PrintParameters();
                        
-  private:
+private:
+
+  void               DefineMaterials();
+  G4VPhysicalVolume* ConstructVolumes();     
   
-     G4double            worldSizeX;
-     G4double            worldSizeYZ;
-     G4Material*         worldMaterial;           
-     G4double            absorSizeX;
-     G4double            absorSizeYZ;
-		 G4double						 maxStepSize;
-     G4Material*         absorMaterial;
-     G4UniformMagField*  magField;
-     G4LogicalVolume*    lAbsor;
+  G4double            worldSizeX;
+  G4double            worldSizeYZ;
+  G4Material*         worldMaterial;           
+  G4double            absorSizeX;
+  G4double            absorSizeYZ;
+  G4double	      maxStepSize;
+  G4Material*         absorMaterial;
+  G4UniformMagField*  magField;
+  G4LogicalVolume*    lAbsor;
                
-     DetectorMessenger* detectorMessenger;
+  DetectorMessenger* detectorMessenger;
 
-  private:
-    
-     void               DefineMaterials();
-     G4VPhysicalVolume* ConstructVolumes();     
 };
 
Index: trunk/examples/extended/exoticphysics/monopole/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/EventAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/G4MonopolePhysics.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/G4MonopolePhysics.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/G4MonopolePhysics.hh	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MonopolePhysics.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4MonopolePhysics.hh,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -39,9 +39,12 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
+class G4MonopolePhysicsMessenger;
+
 class G4MonopolePhysics : public G4VPhysicsConstructor
 {
 public:
-  G4MonopolePhysics(const G4String& name = "EM_monopole");
-  virtual ~G4MonopolePhysics();
+
+  G4MonopolePhysics(const G4String& nam = "Monopole Physics");
+  ~G4MonopolePhysics();
 
   // This method is dummy for physics
@@ -53,9 +56,19 @@
   virtual void ConstructProcess();
 
+  void SetMagneticCharge(G4int);
+  void SetElectricCharge(G4int);
+  void SetMonopoleMass(G4double);
+
 private:
 
   // hide assignment operator
-  G4MonopolePhysics & operator=(const G4MonopolePhysics &right);
-  G4MonopolePhysics(const G4MonopolePhysics&);
+  //  G4MonopolePhysics & operator=(const G4MonopolePhysics &right);
+  // G4MonopolePhysics(const G4MonopolePhysics&);
+
+  G4int    magCharge;
+  G4int    elCharge;
+  G4double monopoleMass;
+
+  G4MonopolePhysicsMessenger*  theMessenger;
 
 };
Index: trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PrimaryGeneratorAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PrimaryGeneratorAction.hh,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -45,23 +45,24 @@
 class PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
 {
-  public:
-    PrimaryGeneratorAction(DetectorConstruction*);    
-   ~PrimaryGeneratorAction();
+public:
 
-  public:  
-    void SetRndmBeam(G4double val)  {rndmBeam = val;}   
-    void GeneratePrimaries(G4Event*);
+  PrimaryGeneratorAction(DetectorConstruction*);    
+  ~PrimaryGeneratorAction();
+
+  void SetRndmBeam(G4double val)  {rndmBeam = val;}   
+  void GeneratePrimaries(G4Event*);
     
-    void   ResetEbeamCumul() {EbeamCumul = 0.;}
-    G4double GetEbeamCumul() {return EbeamCumul;}
+  void   ResetEbeamCumul() {EbeamCumul = 0.;}
+  G4double GetEbeamCumul() {return EbeamCumul;}
      
-    G4ParticleGun* GetParticleGun() {return particleGun;}
+  G4ParticleGun* GetParticleGun() {return particleGun;}
     
-  private:
-    G4ParticleGun*             particleGun;
-    DetectorConstruction*      detector;
-    G4double                   rndmBeam;
-    G4double                   EbeamCumul;       
-    PrimaryGeneratorMessenger* gunMessenger;     
+private:
+
+  G4ParticleGun*             particleGun;
+  DetectorConstruction*      detector;
+  G4double                   rndmBeam;
+  G4double                   EbeamCumul;       
+  PrimaryGeneratorMessenger* gunMessenger;     
 };
 
Index: trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/RunAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/RunActionMessenger.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/RunActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/RunActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/include/TrackingAction.hh	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/monopole.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/monopole.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/monopole.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: monopole.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: monopole.cc,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -35,4 +35,5 @@
 #include "G4UItcsh.hh"
 #include "Randomize.hh"
+#include "globals.hh"
 
 #include "DetectorConstruction.hh"
@@ -60,16 +61,26 @@
   G4RunManager * runManager = new G4RunManager;
 
-  //set mandatory initialization classes
-  DetectorConstruction* det;
-
-	//ceate physicsList
+  //create physicsList
   QGSP* phys = new QGSP();
-  G4MonopolePhysics * theMonopole = new G4MonopolePhysics;
+  G4MonopolePhysics * theMonopole = new G4MonopolePhysics();
   phys->RegisterPhysics(theMonopole);
 
-  PrimaryGeneratorAction* kin;
-  runManager->SetUserInitialization(det  = new DetectorConstruction);
-	runManager->SetUserInitialization(phys);
-  runManager->SetUserAction(kin = new PrimaryGeneratorAction(det));
+  //get the pointer to the User Interface manager
+  G4UImanager* UI = G4UImanager::GetUIpointer();
+
+  // Setup monopole
+  G4String s = ""; 
+  if(argc > 2) s = argv[2];
+  UI->ApplyCommand("/control/verbose 1");
+  UI->ApplyCommand("/monopole/setup "+s);
+
+  // mandator user classes
+  DetectorConstruction* det = new DetectorConstruction();
+
+  runManager->SetUserInitialization(det);  
+  runManager->SetUserInitialization(phys);
+
+  PrimaryGeneratorAction* kin = new PrimaryGeneratorAction(det);
+  runManager->SetUserAction(kin);
 
 #ifdef G4VIS_USE
@@ -78,5 +89,5 @@
 #endif
 
-  //set user action classes
+  //user action classes
   RunAction* run;
 
@@ -85,8 +96,4 @@
   runManager->SetUserAction(new TrackingAction(run));
   runManager->SetUserAction(new SteppingAction(det, run));
-
-  //get the pointer to the User Interface manager
-  G4UImanager* UI = G4UImanager::GetUIpointer();
-  G4cout << "User actions are instantiated" << G4endl;
 
   if (argc == 1)   // Define UI terminal for interactive mode
@@ -100,12 +107,12 @@
       session = new G4UIterminal();
 #endif
-     session->SessionStart();
-     delete session;
+      session->SessionStart();
+      delete session;
     }
   else           // Batch mode
     {
-     G4String command = "/control/execute ";
-     G4String fileName = argv[1];
-     UI->ApplyCommand(command+fileName);
+      G4String command = "/control/execute ";
+      G4String fileName = argv[1];
+      UI->ApplyCommand(command+fileName);
     }
 
Index: trunk/examples/extended/exoticphysics/monopole/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/DetectorConstruction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/EventAction.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/EventAction.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/G4MonopolePhysics.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/G4MonopolePhysics.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/G4MonopolePhysics.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MonopolePhysics.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4MonopolePhysics.cc,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //---------------------------------------------------------------------------
@@ -42,6 +42,8 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
+#include "G4MonopolePhysics.hh"
+#include "G4MonopolePhysicsMessenger.hh"
+
 #include "G4Monopole.hh"
-#include "G4MonopolePhysics.hh"
 #include "G4ParticleDefinition.hh"
 #include "G4ProcessManager.hh"
@@ -55,37 +57,83 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-G4MonopolePhysics::G4MonopolePhysics(const G4String& name):  G4VPhysicsConstructor(name)
-{}
+G4MonopolePhysics::G4MonopolePhysics(const G4String& nam)
+  : G4VPhysicsConstructor(nam)
+{
+  magCharge = 1;
+  elCharge  = 0;
+  monopoleMass = 100.*GeV;
+  theMessenger = new G4MonopolePhysicsMessenger(this);
+}
 
 G4MonopolePhysics::~G4MonopolePhysics()
-{}
+{
+  delete theMessenger;
+}
 
 void G4MonopolePhysics::ConstructParticle()
 {
-  G4Monopole::MonopoleDefinition(); 
+  G4Monopole::MonopoleDefinition(monopoleMass, magCharge, elCharge);
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+void G4MonopolePhysics::ConstructProcess()
+{
+  if(verboseLevel > 0) {
+    G4cout << "G4MonopolePhysics::ConstructProcess" << G4endl;
+  }
+  G4Monopole* mpl = G4Monopole::Monopole();
+  
+  G4ProcessManager* pmanager = new G4ProcessManager(mpl);
+  mpl->SetProcessManager(pmanager);
+  
+  // defined monopole parameters and binning
+
+  G4double emax = 10.*TeV;
+  G4double magn = mpl->MagneticCharge();
+  G4double emin = mpl->GetPDGMass()/20000.;
+  if(emin < keV) emin = keV;
+
+  G4int nbin = G4int(std::log10(emin/eV));
+  emin       = std::pow(10.,G4double(nbin))*eV;
+
+  nbin = G4int(std::log10(emax/emin));
+  if(nbin < 1) nbin = 1;
+  nbin *= 10;
+  
+  pmanager->AddProcess( new G4Transportation(), -1, 0, 0);
+  if(magn != 0.0) {
+    G4mplIonisation* mplioni = new G4mplIonisation(magn);
+    mplioni->SetDEDXBinning(nbin);
+    mplioni->SetMinKinEnergy(emin);
+    mplioni->SetMaxKinEnergy(emax);
+    pmanager->AddProcess(mplioni, -1, 1, 1);
+  }
+  if(mpl->GetPDGCharge() != 0.0) {
+    G4hhIonisation* hhioni = new G4hhIonisation();
+    hhioni->SetDEDXBinning(nbin);
+    hhioni->SetMinKinEnergy(emin);
+    hhioni->SetMaxKinEnergy(emax);
+    pmanager->AddProcess(hhioni,  -1, 2, 2);
+  }
+  pmanager->AddProcess( new G4StepLimiter(),  -1, -1, 3);
+
+}
+
+void G4MonopolePhysics::SetMagneticCharge(G4int val)
+{
+  magCharge = val;
+}
+
+void G4MonopolePhysics::SetElectricCharge(G4int val)
+{
+  elCharge = val;
+}
+
+void G4MonopolePhysics::SetMonopoleMass(G4double mass)
+{
+  monopoleMass = mass;
 }
 
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-void G4MonopolePhysics::ConstructProcess()
-{
 
-  // Add standard EM Processes for gamma
-  G4cout << "G4MonopolePhysics::ConstructProcess" << G4endl;
-
-  G4Monopole* mpl = G4Monopole::MonopoleDefinition();
-  
-  G4ProcessManager* pmanager = new G4ProcessManager(mpl);
-  mpl->SetProcessManager(pmanager);
-  
-  pmanager->AddProcess( new G4Transportation(), -1, 0, 0);
-  pmanager->AddProcess( new G4mplIonisation(mpl->MagneticCharge()), -1, 1, 1);
-  pmanager->AddProcess( new G4StepLimiter(),  -1, -1, 3);
-  if(mpl->GetPDGCharge() != 0.0) {
-    pmanager->AddProcess(new G4hhIonisation(),  -1, 2, 2);
-  }
-
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
Index: trunk/examples/extended/exoticphysics/monopole/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PrimaryGeneratorAction.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: PrimaryGeneratorAction.cc,v 1.2 2009/07/15 10:19:47 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -44,8 +44,9 @@
 
 PrimaryGeneratorAction::PrimaryGeneratorAction(DetectorConstruction* det)
-:detector(det)					       
+  :detector(det)
 {
   particleGun  = new G4ParticleGun(1);
-  G4ParticleDefinition* particle = G4ParticleTable::GetParticleTable()->FindParticle("monopole");
+  G4ParticleDefinition* particle = 
+    G4ParticleTable::GetParticleTable()->FindParticle("monopole");
   particleGun->SetParticleDefinition(particle);
   particleGun->SetParticleEnergy(100 * GeV);
@@ -59,5 +60,4 @@
 }
 
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 PrimaryGeneratorAction::~PrimaryGeneratorAction()
@@ -67,6 +67,6 @@
 }
 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 void PrimaryGeneratorAction::GeneratePrimaries(G4Event* anEvent)
 {
Index: trunk/examples/extended/exoticphysics/monopole/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/RunAction.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/RunAction.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.cc,v 1.2 2008/06/11 14:34:19 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -84,9 +84,10 @@
   if(!binLength) binLength = 5 * mm;
 	if(binLength > detector->GetMaxStepSize()) binLength = detector->GetMaxStepSize();
-  G4int nbBins = (int)(0.5 + length / binLength);
   offsetX   = 0.5 * length;
  
 #ifdef G4ANALYSIS_USE
   if(GetVerbose() > 0) G4cout << "\n----> Histogram Tree opened" << G4endl;
+
+  G4int nbBins = (int)(0.5 + length / binLength);
 
   // Create the tree factory
@@ -143,4 +144,8 @@
 void RunAction::FillHisto(G4int ih, G4double x, G4double weight)
 {
+  if(GetVerbose() > 1) {
+    G4cout << "FillHisto " << ih << "  x=" << x << " weight= " << weight 
+	   << G4endl;
+  }
 #ifdef G4ANALYSIS_USE
   if(histo[ih]) histo[ih]->fill(x, weight);
Index: trunk/examples/extended/exoticphysics/monopole/src/RunActionMessenger.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/RunActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/RunActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/SteppingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.2 2007/12/10 16:28:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/exoticphysics/monopole/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/exoticphysics/monopole/src/TrackingAction.cc	(revision 1187)
+++ trunk/examples/extended/exoticphysics/monopole/src/TrackingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.cc,v 1.1 2007/08/16 10:32:04 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/field/BlineTracer/include/G4BlineEquation.hh
===================================================================
--- trunk/examples/extended/field/BlineTracer/include/G4BlineEquation.hh	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/include/G4BlineEquation.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineEquation.hh,v 1.2 2006/06/29 17:14:53 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/include/G4BlineEventAction.hh
===================================================================
--- trunk/examples/extended/field/BlineTracer/include/G4BlineEventAction.hh	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/include/G4BlineEventAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineEventAction.hh,v 1.2 2006/06/29 17:14:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/include/G4BlinePrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/field/BlineTracer/include/G4BlinePrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/include/G4BlinePrimaryGeneratorAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlinePrimaryGeneratorAction.hh,v 1.2 2006/06/29 17:14:59 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/include/G4BlineSteppingAction.hh
===================================================================
--- trunk/examples/extended/field/BlineTracer/include/G4BlineSteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/include/G4BlineSteppingAction.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineSteppingAction.hh,v 1.2 2006/06/29 17:15:01 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/include/G4BlineTracer.hh
===================================================================
--- trunk/examples/extended/field/BlineTracer/include/G4BlineTracer.hh	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/include/G4BlineTracer.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineTracer.hh,v 1.2 2006/06/29 17:15:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/include/G4BlineTracerMessenger.hh
===================================================================
--- trunk/examples/extended/field/BlineTracer/include/G4BlineTracerMessenger.hh	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/include/G4BlineTracerMessenger.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineTracerMessenger.hh,v 1.2 2006/06/29 17:15:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/src/G4BlineEquation.cc
===================================================================
--- trunk/examples/extended/field/BlineTracer/src/G4BlineEquation.cc	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/src/G4BlineEquation.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineEquation.cc,v 1.2 2006/06/29 17:15:07 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
Index: trunk/examples/extended/field/BlineTracer/src/G4BlineEventAction.cc
===================================================================
--- trunk/examples/extended/field/BlineTracer/src/G4BlineEventAction.cc	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/src/G4BlineEventAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineEventAction.cc,v 1.2 2006/06/29 17:15:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/field/BlineTracer/src/G4BlinePrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/field/BlineTracer/src/G4BlinePrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/src/G4BlinePrimaryGeneratorAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlinePrimaryGeneratorAction.cc,v 1.3 2006/06/29 17:15:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
Index: trunk/examples/extended/field/BlineTracer/src/G4BlineSteppingAction.cc
===================================================================
--- trunk/examples/extended/field/BlineTracer/src/G4BlineSteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/field/BlineTracer/src/G4BlineSteppingAction.cc	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BlineSteppingAction.cc,v 1.2 2006/06/29 17:15:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //
